Doing a
Code:
sudo dnf install monodevelop
caused the following from monodevelop's official fedora repo. I had something similar happen a couple of days ago with libstdc++ and but now I just don't know what to do since the packages seem to be different:

Code:
Error: Transaction check error:
  file /usr/lib/mono/4.0-api from install of mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64 conflicts with file from package mono-core-4.8.0-12.fc27.x86_64
  file /usr/lib/mono/4.5-api from install of mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64 conflicts with file from package mono-core-4.8.0-12.fc27.x86_64
  file /usr/lib/mono/4.0-api/Accessibility.dll conflicts between attempted installs of mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-winforms-5.14.0.177-0.xamarin.1.epel7.x86_64
....
....
....
....
  file /usr/lib/mono/4.5-api/System.Web.DynamicData.dll conflicts between attempted installs of mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5-api/System.Web.Extensions.Design.dll conflicts between attempted installs of mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5-api/System.Web.Extensions.dll conflicts between attempted installs of mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5-api/System.Web.Routing.dll conflicts between attempted installs of mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5-api/System.Web.Services.dll conflicts between attempted installs of mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5-api/System.Web.dll conflicts between attempted installs of mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5-api/System.Windows.Forms.DataVisualization.dll conflicts between attempted installs of mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5-api/System.Windows.Forms.dll conflicts between attempted installs of mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5-api/System.Windows.dll conflicts between attempted installs of mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-core-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5-api/System.Xaml.dll conflicts between attempted installs of mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5-api/System.Xml.Linq.dll conflicts between attempted installs of mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5-api/System.Xml.Serialization.dll conflicts between attempted installs of mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-core-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5-api/System.Xml.dll conflicts between attempted installs of mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5-api/System.dll conflicts between attempted installs of mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5-api/WindowsBase.dll conflicts between attempted installs of mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5-api/mscorlib.dll conflicts between attempted installs of mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5/Microsoft.Build.Engine.dll conflicts between attempted installs of mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5/Microsoft.Build.Framework.dll conflicts between attempted installs of mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5/Microsoft.Build.Tasks.v4.0.dll conflicts between attempted installs of mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5/Microsoft.Build.Utilities.v4.0.dll conflicts between attempted installs of mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5/Microsoft.Build.dll conflicts between attempted installs of mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5/Mono.CodeContracts.dll conflicts between attempted installs of mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5/Mono.Debugger.Soft.dll conflicts between attempted installs of mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5/PEAPI.dll conflicts between attempted installs of mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5/Microsoft.VisualBasic.dll conflicts between attempted installs of mono-basic-4.7-1.fc27.x86_64 and mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5/I18N.CJK.dll conflicts between attempted installs of mono-locale-extras-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5/I18N.MidEast.dll conflicts between attempted installs of mono-locale-extras-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5/I18N.Other.dll conflicts between attempted installs of mono-locale-extras-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64
  file /usr/lib/mono/4.5/I18N.Rare.dll conflicts between attempted installs of mono-locale-extras-5.14.0.177-0.xamarin.1.epel7.x86_64 and mono-devel-5.14.0.177-0.xamarin.1.epel7.x86_64

Error Summary
-------------

Full: https://pastebin.com/cfLr3ttr

What can I do to fix it?